## ust 2.6.2

=== debian/changelog ===
ust (2.6.2-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f1bd937] Default to no unaligned access on unsupported archs
  * [9663c9a] Add java subpackages
  * [a23d3b8] Use python3 for lttng-gen-tp (Closes: #789790)

 -- Jon Bernard <jbernard@debian.org>  Thu, 02 Jul 2015 19:10:06 +0000

ust (2.6.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [55c5de5] Enable build on aarch64
  * [35afe9f] Build on all supported architectures
  * [1eae5b2] New upstream version 2.6.2
  * [e4ed593] aarch64 support was merged upstream in 2.6.2
  * [825bfda] Drop systemtap integration

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Jun 2015 21:06:30 +0000

ust (2.6.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [34a39b5] New upstream version 2.6.1
  * [e750d6c] Update symbols files

  [ Jon Bernard ]

 -- Jon Bernard <jbernard@debian.org>  Fri, 29 May 2015 18:22:01 +0000

ust (2.5.1-2) unstable; urgency=medium

  * [65a639d] Tag arch-specfic symbols for i386 and amd64 (Closes: #767632)

 -- Jon Bernard <jbernard@debian.org>  Tue, 04 Nov 2014 19:44:13 +0000
