=== debian/changelog ===
ust (2.7.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [d0d44d7] New upstream version 2.7.1
  * [a596e16] Drop upstreamed patch fix-python-agent-build
  * [f3d43ad] Fix java build on gcj

 -- Jon Bernard <jbernard@debian.org>  Tue, 01 Dec 2015 19:58:42 +0000

ust (2.7.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [fe82554] New upstream version 2.7.0
  * [96d01f4] Drop patch applied upstream
  * [a37cd0d] Add python agent subpackages
  * [c285433] Update symbols file
  * [1c48d56] Build on linux-any architectures
  * [afbbd1e] The dev package depends on the python agent lib

 -- Jon Bernard <jbernard@debian.org>  Sat, 24 Oct 2015 19:23:03 +0000

ust (2.6.3-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [fd874dc] New upstream version 2.6.3
  * [a0a6282] Refresh fix-incompatible-java-bytecode-format.patch

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Sep 2015 20:17:15 +0000
