=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
   uuid-dev, texinfo, python3:any, dh-python, javahelper, default-jdk,
-  liblog4j1.2-java
+  liblog4j1.2-java, python3-all-dev
 Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
+X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -28,7 +29,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,11 +46,12 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
-  liburcu-dev (>= 0.8.4), uuid-dev
+  liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
+  uuid-dev
 Recommends: python3
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
@@ -81,7 +83,7 @@
 
 Package: liblttng-ust-java-jni
 Section: java
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -112,7 +114,7 @@
 
 Package: liblttng-ust-agent-java-jni
 Section: java
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -124,3 +126,32 @@
  be added in any userspace code including signal handlers and libraries.
  .
  This package contains the native side of the Java agent for lttng-ust.
+
+Package: liblttng-ust-python-agent0
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  liblttng-ust0 (= ${binary:Version})
+Description: LTTng 2.0 Userspace Tracer (Python agent native library)
+ The userspace tracer is designed to provide detailed information about
+ userspace activity. Like the kernel tracer, performance is the main goal.
+ Tracing does not require system calls or traps. UST instrumentation points may
+ be added in any userspace code including signal handlers and libraries.
+ .
+ This package contains a library used by the Python agents.
+
+Package: python3-lttngust
+Section: python
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${python3:Depends},
+  liblttng-ust-python-agent0 (>= ${source:Version}),
+  liblttng-ust-python-agent0 (<< ${source:Version}.1~)
+Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
+ The userspace tracer is designed to provide detailed information about
+ userspace activity. Like the kernel tracer, performance is the main goal.
+ Tracing does not require system calls or traps. UST instrumentation points may
+ be added in any userspace code including signal handlers and libraries.
+ .
+ This package contains the Python 3.x UST agent.
