=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3:any, dh-python, javahelper, default-jdk,
+  uuid-dev, texinfo, python3:any, dh-python, javahelper,
+  default-jdk | default-jdk-headless,
   liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
-Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
-Homepage: http://lttng.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
+Homepage: https://lttng.org/
 X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0
