=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)
