## ust 2.8.1

=== debian/changelog ===
ust (2.8.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [b2b7411] Fix watch file
  * [ed5244f] New upstream version 2.8.1
  * [18ca9be] Add comments to patches

 -- Jon Bernard <jbernard@debian.org>  Thu, 16 Jun 2016 17:20:00 +0000

ust (2.8.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f4dc524] New upstream version 2.8.0
  * [4cc3ed0] Update java agent files for 2.8.0
  * [4731103] Update symbols for 2.8.0
  * [8f462e0] Refreshed patches for 2.8.0
  * [46d005b] Bump standards version to 3.9.8, no changes necessary
  * [2399a6e] Updated debian copyright

 -- Jon Bernard <jbernard@debian.org>  Tue, 24 May 2016 21:42:37 -0400
