=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
   uuid-dev, texinfo, python3:any, dh-python, javahelper,
   default-jdk | default-jdk-headless,
   liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
