=== debian/changelog ===
ust (2.9.0-2+deb9u1) stable; urgency=medium

  * [5ffa17d] Set gbp branch config
  * [8e770e4] Fix python3-lttngust load un-versioned library (Closes: #882366)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 22 Nov 2017 14:45:44 -0500

ust (2.9.0-2) unstable; urgency=medium

  * [b8d4e77] Add missing liblttng-ust-fd.so.* (Closes: #857166)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 08 Mar 2017 12:04:25 -0500

ust (2.9.0-1) unstable; urgency=medium

  * [35684de] Add Michael Jeanson as uploader
  * [8aecff4] New upstream version 2.9.0
  * [3164b44] Refreshed patches for 2.9.0
  * [0015ce7] Update symbols for 2.9.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 29 Nov 2016 18:07:41 -0500
