=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3:any, dh-python, javahelper,
-  default-jdk | default-jdk-headless,
-  liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.8
+  uuid-dev, texinfo, python3, dh-python, javahelper,
+  default-jdk | default-jdk-headless, liblog4j1.2-java
+Standards-Version: 4.0.0
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
