## ust 2.10.0

=== debian/changelog ===
ust (2.10.0-3) unstable; urgency=medium

  * [68cef23] Add perf symbols to all archs
  * [af1103b] Forgot m68k symbols in liblttng-ust-ctl4
  * [7960048] Change priority to optional, as per policy
  * [d5b199b] Bump standards version to 4.1.1
  * [38c2762] Use https url in watch file

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 11:22:14 -0400

ust (2.10.0-2) unstable; urgency=medium

  * [4e2e3ec] Add a 'nojava' build profile
  * [b60dc6d] Update symbols for m68k arch (Closes: #876149)
  * [0432f3b] Disable java on hppa. (Closes: #876148)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 16 Oct 2017 14:13:09 -0400

ust (2.10.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f34755c] Move to DEP-14 branch naming
  * [01efc7c] Rename source package to lttng-ust
  * [a4bb887] Don't ship static lib, it's broken and useless
  * [bfa2833] Install headers in multiarch path (Closes: #687460)
  * [668fa1d] New upstream version 2.10.0
  * [13a4c58] Bump soname of liblttng-ust-ctl from 2 to 4
  * [5f3f693] Update symbols for 2.10.0
  * [99fea0d] Updated debian copyright
  * [56d0c0e] Revert source package rename

  [ Jon Bernard ]
  * [cfa34cd] Include missing symbols from previous update

 -- Jon Bernard <jbernard@debian.org>  Thu, 14 Sep 2017 16:15:02 -0400
