=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: ust
-Priority: extra
+Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3, dh-python, javahelper,
-  default-jdk | default-jdk-headless, liblog4j1.2-java
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 9),
+  default-jdk <!nojava> | default-jdk-headless <!nojava>,
+  dh-autoreconf,
+  dh-python,
+  dpkg-dev (>= 1.16.1),
+  javahelper <!nojava>,
+  liblog4j1.2-java <!nojava>,
+  liburcu-dev (>= 0.8.4),
+  python3,
+  texinfo,
+  uuid-dev
+Standards-Version: 4.1.1
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
 Homepage: https://lttng.org/
 X-Python3-Version: >= 3.0
 
@@ -17,7 +25,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust-ctl2 (= ${binary:Version})
+  liblttng-ust-ctl4 (= ${binary:Version})
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Description: LTTng 2.0 Userspace Tracer (tracing libraries)
@@ -29,7 +37,7 @@
  This package contains the actual userspace tracing library that must be linked
  to the instrumented programs.
 
-Package: liblttng-ust-ctl2
+Package: liblttng-ust-ctl4
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +58,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
+  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl4 (= ${binary:Version}),
   liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
   uuid-dev
 Recommends: python3
@@ -70,6 +78,7 @@
 Section: java
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nojava>
 Depends: liblttng-ust-java-jni (<< ${source:Version}.1~),
          liblttng-ust-java-jni (>= ${source:Version}),
          ${java:Depends}, ${misc:Depends}
@@ -86,6 +95,7 @@
 Section: java
 Architecture: linux-any
 Multi-Arch: same
+Build-Profiles: <!nojava>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: liblttng-ust-java (= ${source:Version})
@@ -101,6 +111,7 @@
 Section: java
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nojava>
 Depends: liblttng-ust-agent-java-jni (<< ${source:Version}.1~),
          liblttng-ust-agent-java-jni (>= ${source:Version}),
          ${java:Depends}, ${misc:Depends}
@@ -117,6 +128,7 @@
 Section: java
 Architecture: linux-any
 Multi-Arch: same
+Build-Profiles: <!nojava>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: liblttng-ust-java (= ${source:Version})
