## ust 2.10.1

=== debian/changelog ===
ust (2.10.1-1) unstable; urgency=medium

  * [cd47deb] New upstream version 2.10.1
  * [4d1422b] Drop patch merged upstream
  * [3dda0df] Switched my uploader email to @debian.org
  * [74fb6ad] Update symbols for 2.10.1

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 30 Nov 2017 12:06:35 -0500

ust (2.10.0-4) unstable; urgency=medium

  * [cae46a9] Fix python3-lttngust load un-versioned library (Closes: #882366)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 21 Nov 2017 15:49:13 -0500
