=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ust
 Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
-Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
+Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper (>= 9),
   default-jdk <!nojava> | default-jdk-headless <!nojava>,
   dh-autoreconf,
