## ust 2.10.2

=== debian/changelog ===
ust (2.10.2-1) unstable; urgency=medium

  * [6ee169b] Fix symbols for riscv64
  * [29a5184] New upstream version 2.10.2
  * [9cea2f8] Drop patch applied upstream
  * [b312339] Remove symbols erroneously exported by liblttng-ust-fd.so.0
  * [ed3731f] Drop x-python3-version
  * [0acbf69] Drop removed files from copyright
  * [8bd76e8] Bump standard to 4.2.0, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 20 Aug 2018 16:58:24 -0400

ust (2.10.1-3) unstable; urgency=medium

  * [6798480] Update symbols for new riscv64 architecture
  * [f81465e] Drop patch forcing obsolete java bytecode version 1.6
  * [26128f4] Drop gcj compat patch
  * [ca241ec] Fix build failure with openjdk >= 10 (Closes: #897483)

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 04 May 2018 10:46:44 -0400

ust (2.10.1-2) unstable; urgency=medium

  * [4561e9b] Moved VCS to salsa.debian.org
  * [9132150] Add python3-distutils builddep (Closes: #896794)
  * [f47371c] Bump standard to 4.1.4, no changes necessary
  * [ef662e3] Use salsa canonical uri in VCS-Browser

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 24 Apr 2018 11:09:27 -0400
