=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
   liblog4j1.2-java <!nojava>,
   liburcu-dev (>= 0.8.4),
   python3,
+  python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
+Vcs-Git: https://salsa.debian.org/debian/ust.git
+Vcs-Browser: https://salsa.debian.org/debian/ust
 Homepage: https://lttng.org/
-X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0
 Architecture: linux-any
