=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
   default-jdk <!nojava> | default-jdk-headless <!nojava>,
-  dh-autoreconf,
   dh-python,
   dpkg-dev (>= 1.16.1),
   javahelper <!nojava>,
@@ -14,7 +13,7 @@
   python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust
