## ust 2.10.4

=== debian/changelog ===
ust (2.10.4-1) unstable; urgency=medium

  * [69cfc51] Update Salsa CI pipeline config
  * [11113ed] New upstream version 2.10.4

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 30 May 2019 16:29:06 -0400
