## ust 2.10.5

=== debian/changelog ===
ust (2.10.5-1) unstable; urgency=medium

  * [4c51c2c] Update salsa Ci configuration
  * [c3cb3c7] New upstream version 2.10.5

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 12 Sep 2019 11:08:06 -0400
